import type { _DDMatch } from "./DDMatch.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSTimeZone } from "../Foundation/NSTimeZone.js";
export declare class _DDMatchCalendarEvent extends _DDMatch {
    static alloc(): _DDMatchCalendarEvent;
    static new(): _DDMatchCalendarEvent;
    init(): _DDMatchCalendarEvent;
    /** A Boolean value that indicates whether the event is an all-day event. */
    allDay(): boolean;
    /** A date that represents the start of the event. */
    startDate(): _NSDate | null;
    /** The time zone for the event’s start date. */
    startTimeZone(): _NSTimeZone | null;
    /** A date that represents the end of the event. */
    endDate(): _NSDate | null;
    /** The time zone for the event’s end date. */
    endTimeZone(): _NSTimeZone | null;
}
